Bug 484567 - Review Request: php-ezc-File - eZ Components File
Review Request: php-ezc-File - eZ Components File
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
10
noarch Linux
low Severity medium
: ---
: ---
Assigned To: Remi Collet
Fedora Extras Quality Assurance
:
Depends On: 484507 484509
Blocks:
  Show dependency treegraph
 
Reported: 2009-02-08 08:03 EST by Guillaume Kulakowski
Modified: 2014-09-02 09:13 EDT (History)
3 users (show)

See Also:
Fixed In Version: 1.2-2.fc11
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-05-12 20:23:16 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
fedora: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Guillaume Kulakowski 2009-02-08 08:03:42 EST
Base is a part of eZ Components :
https://bugzilla.redhat.com/show_bug.cgi?id=484507

Provides support for file operations which are not covered by PHP or are just
missing.

SPEC:
http://llaumgui.fedorapeople.org/review/ez_components/php-ezc-File.spec

SRPM:
http://llaumgui.fedorapeople.org/review/ez_components/php-ezc-File-1.2-1.fc10.src.rpm

RPM:
http://llaumgui.fedorapeople.org/review/ez_components/php-ezc-File-1.2-1.fc10.noarch.rpm

rpmlint:
builder@enterprise ~> rpmlint php-ezc-Base.*
2 packages and 1 specfiles checked; 0 errors, 0 warnings.

Pear CompatInfo:
+-----------------------------+---------+---+------------+--------------------+
| Files                       | Version | C | Extensions | Constants/Tokens   |
+-----------------------------+---------+---+------------+--------------------+
| pear/*                      | 4.0.0   | 0 |            |                    |
+-----------------------------+---------+---+------------+--------------------+
Comment 1 Remi Collet 2009-03-22 13:46:37 EDT
According to package.xml, dependencies are :

php-common >= 5.1.1
Base >= 1.4

The src.rpm doesn't seems updated (spec if from Mar 4, srpm from Feb 8)
Comment 2 Guillaume Kulakowski 2009-03-22 14:43:50 EDT
Correction made
Comment 3 Remi Collet 2009-04-25 04:09:38 EDT
REVIEW:

+ rpmlint is ok
php-ezc-File.src: I: checking
php-ezc-File.noarch: I: checking
2 packages and 0 specfiles checked; 0 errors, 0 warnings.
+ package name
+ spec file name 
+ package meet the PHP Guidelines (new update)
+ License ok : BSD
+ License is upstream 
+ spec in english and legible
+ license file in sources is provided
+ sources match the upstream sources
36ff7eeb3699b2bf36ccf9b64c224154  File-1.2.tgz
+ Source URL ok
+ build  on F10.x86_64
+ BuildRequires (php-pear >= 1:1.4.9-1.2) ok
+ no locale
+ no .so
+ own all directories that it creates
+ no duplicate file
+ %defattr ok
+ %clean section
+ use macros consistently
+ contain code
+ no documentation
+ no devel
+ no pkgconfig
+ no sub-package
+ no GUI
+ don't own files or directories already owned by other packages
+ %install start with rm -rf 
+ valid UTF-8
+ build in mock (fedora-rawhide-x86_64)
+ no test suite
+ scriptlets ok
+ Final Requires ok
php-common >= 5.1.1
php-pear(components.ez.no/Base) >= 1.4
+ Final Provides ok
php-pear(components.ez.no/File) = 1.2
php-ezc-File = 1.2-2.fc8

APPROVED
Comment 4 Guillaume Kulakowski 2009-04-25 13:20:16 EDT
New Package CVS Request
=======================
Package Name: php-ezc-File
Short Description: Provides support for file operations which are not covered by PHP
Owners: llaumgui
Branches: F-9 F-10
InitialCC:
Comment 5 Kevin Fenzi 2009-04-27 01:08:47 EDT
I assume you want a F-11 branch here too... 

cvs done with F-11 added.
Comment 6 Fedora Update System 2009-04-27 02:13:12 EDT
php-ezc-File-1.2-2.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/php-ezc-File-1.2-2.fc11
Comment 7 Fedora Update System 2009-04-27 02:13:17 EDT
php-ezc-File-1.2-2.fc9 has been submitted as an update for Fedora 9.
http://admin.fedoraproject.org/updates/php-ezc-File-1.2-2.fc9
Comment 8 Fedora Update System 2009-04-27 02:13:21 EDT
php-ezc-File-1.2-2.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/php-ezc-File-1.2-2.fc10
Comment 9 Fedora Update System 2009-04-27 17:38:56 EDT
php-ezc-File-1.2-2.fc9 has been pushed to the Fedora 9 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing-newkey update php-ezc-File'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F9/FEDORA-2009-4041
Comment 10 Fedora Update System 2009-04-27 17:39:20 EDT
php-ezc-File-1.2-2.fc10 has been pushed to the Fedora 10 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update php-ezc-File'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F10/FEDORA-2009-4047
Comment 11 Fedora Update System 2009-05-09 00:09:22 EDT
php-ezc-File-1.2-2.fc11 has been pushed to the Fedora 11 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update php-ezc-File'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F11/FEDORA-2009-4470
Comment 12 Fedora Update System 2009-05-12 20:23:12 EDT
php-ezc-File-1.2-2.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 13 Fedora Update System 2009-05-12 20:26:18 EDT
php-ezc-File-1.2-2.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 14 Fedora Update System 2009-05-12 20:29:43 EDT
php-ezc-File-1.2-2.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 15 Guillaume Kulakowski 2010-08-29 05:08:05 EDT
Package Change Request
======================
Package Name: php-ezc-File
New Branches: EL-6
Owners: llaumgui
Comment 16 Kevin Fenzi 2010-08-29 14:46:22 EDT
Git done (by process-git-requests).
Comment 17 Guillaume Kulakowski 2014-09-02 09:06:44 EDT
Package Change Request
======================
Package Name: php-ezc-File
New Branches: EL-7
Owners: llaumgui
Comment 18 Jon Ciesla 2014-09-02 09:13:53 EDT
Git done (by process-git-requests).

Note You need to log in before you can comment on or make changes to this bug.